#include <allegro.h>
#include "main.h"
#include "sprites.h"

void draw_split_bmp( BITMAP* dest, BITMAP* source, int offset, int x, int y );
int title_menu();

int title_menu()
{
	int offset;
	int i,j,x,y=0;
	int menu_selection=0;
	int nokeyheld=TRUE;
	BITMAP*backdrop=load_pcx( "./data/title/backdrop.pcx", NULL );
	while ( !key[KEY_ESC] )
	{
		while (aspeed>gspeed)
		{
			if (!key[KEY_UP] && !key[KEY_DOWN]) nokeyheld=TRUE;
				//else nokeyheld=FALSE;

		  	int tiles_per_row=320/backdrop->w+1;
			int tiles_per_col=240/backdrop->h+1;

			clear_to_color( buffer, makecol(255,255,255));

			// Draw backdrop.
			for ( j=0,y=0;j<tiles_per_col;j++,y+=backdrop->h)
				for ( i=0,x=0;i<tiles_per_row;i++,x+=backdrop->w )
					draw_split_bmp( buffer, backdrop, offset, x, y );

			if ( offset>=backdrop->w)
				offset=0;
			else
				offset++;

			// Draw menu options.
			textprintf( buffer, font, 5, 5, makecol( 255,255,255), "%d", menu_selection );

	 		// Get input.
			if ( key[KEY_UP] && nokeyheld==TRUE)
				if ( menu_selection!=0 )
				{ menu_selection--; nokeyheld=FALSE; }
			if ( key[KEY_DOWN] && nokeyheld==TRUE )
				if ( menu_selection!=3 )
				{menu_selection++;	nokeyheld=FALSE; }			

		 	gspeed++;
		}


		//draw screen.
		blit( buffer, screen, 0, 0, 0, 0, 320, 240 );
		frame_counter++;


	}
}

void draw_split_bmp( BITMAP* dest, BITMAP* src, int offset, int x, int y )
{
	//rect( dest, x-1,y-1,x+src->w,y+src->h,makecol(255,0,0));
	blit( src, dest, offset, 0, x, y, src->w, src->h );

	blit( src, dest, 0, 0, x+src->w-offset, y, offset+5, src->h );
}